#175 Migrate to SDL2

open
nobody
SDL (1)
2014-02-23
2014-02-01
Madd the Sane
No

It seems that the developers of SDL are pushing to developers to SDL2. This is mainly due to the added APIs.

Related

Bugs: #574

Discussion

  • SDL 2 drops support for older operating systems on which SDL 1.x, and Aleph One, still run fine. Our user base includes more old computers than average, since Aleph One is based on a game that ran on 90's hardware. We have been putting off migration to support those users as long as we reasonably could.

    Having said that, it's become increasingly difficult to add support for newer OS releases while keeping the old ones alive, and we plan to switch to SDL 2 for Aleph One 1.2. This release will probably arrive sometime in 2014.